/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#include <private/gridgeometry_p.h>
#include <private/heightfieldgeometry_p.h>
#include <private/instancerepeater_p.h>
#include <private/lookatnode_p.h>
#include <private/proceduralskytexturedata_p.h>
#include <private/randominstancing_p.h>

#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif

Q_QMLTYPE_EXPORT void qml_register_types_QtQuick3D_Helpers()
{
    qmlRegisterModule("QtQuick3D.Helpers", 1, 0);
    qmlRegisterModule("QtQuick3D.Helpers", 1, 254);
    qmlRegisterModule("QtQuick3D.Helpers", 6, 0);
    qmlRegisterTypesAndRevisions<GridGeometry>("QtQuick3D.Helpers", 6);
    qmlRegisterTypesAndRevisions<HeightFieldGeometry>("QtQuick3D.Helpers", 6);
    qmlRegisterTypesAndRevisions<InstanceModel>("QtQuick3D.Helpers", 6);
    qmlRegisterAnonymousTypesAndRevisions<QAbstractItemModel>("QtQuick3D.Helpers", 6);
    qmlRegisterTypesAndRevisions<InstanceRepeater>("QtQuick3D.Helpers", 6);
    qmlRegisterTypesAndRevisions<LookAtNode>("QtQuick3D.Helpers", 6);
    qmlRegisterTypesAndRevisions<ProceduralSkyTextureData>("QtQuick3D.Helpers", 6);
    QMetaType::fromType<QAbstractListModel *>().id();
    qmlRegisterTypesAndRevisions<QQuick3DInstanceRange>("QtQuick3D.Helpers", 6);
    qmlRegisterTypesAndRevisions<QQuick3DRandomInstancing>("QtQuick3D.Helpers", 6);
    qmlRegisterAnonymousTypesAndRevisions<QQuick3DInstancing>("QtQuick3D.Helpers", 6);
    qmlRegisterModule("QtQuick3D.Helpers", 6, 4);
}

static const QQmlModuleRegistration registration("QtQuick3D.Helpers", qml_register_types_QtQuick3D_Helpers);
